# archsetup
My personal script for creating a minimal base Arch Linux system as quickly and unattended as possible.

This script makes the following assumptions:
- Any disk(s) to be used have already been partitioned
- Any formatted partitions will use Ext4
- The system uses UEFI
- It's running on the Arch install media with internet connection

## How to use
After booting with the Arch install media, run the following:

`bash <(curl -s https://arch.ptmlab.co.uk/install.sh)`

## What it does
- Enable parallel downloads and run reflector to prioritise UK based mirrors when running pacstrap
- Sets up the partitions to use (see [Partitioning](#Partitioning))
- Asks for credentials to set up an initial user
- Runs pacstrap
- Mounts any other partitions before running genfstab
- Chroot into the new system and configures as appropriate

## Partitioning
The script will ask which partitions to use for EFI, root and the following optional partitions:
- Home (/home)
- Pacman Cache (/var/cache/pacman/pkg)
- Game Installs (/games)

The script will offer to format the EFI and optional partitions if needed. The root partition is automatically wiped.

If a pacman cache already exists and isn't set to be formatted, pacstrap will use it and only download newer versions of packages to save some time. The cache will be remounted to the new system afterwards.

## Features
The finished install will include the following:
- Vanilla Linux kernel
- mkinitcpio for initramfs generation
- iptables-nft for the firewall
- GRUB for the bootloader
- Locale and timezone set for UK
    - US locale set as a fallback option
- Nano installed and set as the default terminal editor
- Parallel downloading, the "ILoveCandy" flag and the multilib repository enabled for Pacman
- UFW, ClamAV and hblock installed and configured
- Login as root disabled (initial user will have sudo privileges)